Novosga\Entity\AbstractAtendimento:
    type: mappedSuperclass
    id:
        id:
            type: integer
            generator:
                strategy: IDENTITY
    fields:
        local:
            type: smallint
            scale: 0
            length: null
            unique: false
            nullable: true
            precision: 0
            column: num_local
        dataAgendamento:
            type: datetime
            nullable: true
            column: dt_age
        dataChegada:
            type: datetime
            nullable: false
            column: dt_cheg
        dataChamada:
            type: datetime
            nullable: true
            column: dt_cha
        dataInicio:
            type: datetime
            nullable: true
            column: dt_ini
        dataFim:
            type: datetime
            nullable: true
            column: dt_fim
        tempoEspera:
            type: integer
            nullable: true
            column: tempo_espera
        tempoPermanencia:
            type: integer
            nullable: true
            column: tempo_permanencia
        tempoAtendimento:
            type: integer
            nullable: true
            column: tempo_atendimento
        tempoDeslocamento:
            type: integer
            nullable: true
            column: tempo_deslocamento
        status:
            type: string
            length: 25
            nullable: false
        resolucao:
            type: string
            length: 25
            nullable: true
        observacao:
            type: text
            nullable: true
    embedded:
        senha:
            class: Novosga\Entity\Senha
            columnPrefix: senha_
    manyToOne:
        cliente:
            targetEntity: Novosga\Entity\Cliente
            fetch: LAZY
            cascade: [persist]
            joinColumns:
                cliente_id:
                    referencedColumnName: id
        unidade:
            targetEntity: Novosga\Entity\Unidade
            fetch: LAZY
            joinColumns:
                unidade_id:
                    referencedColumnName: id
        servico:
            targetEntity: Novosga\Entity\Servico
            fetch: LAZY
            joinColumns:
                servico_id:
                    referencedColumnName: id
        prioridade:
            targetEntity: Novosga\Entity\Prioridade
            fetch: LAZY
            joinColumns:
                prioridade_id:
                    referencedColumnName: id
        usuario:
            targetEntity: Novosga\Entity\Usuario
            fetch: LAZY
            joinColumns:
                usuario_id:
                    referencedColumnName: id
        usuarioTriagem:
            targetEntity: Novosga\Entity\Usuario
            fetch: LAZY
            joinColumns:
                usuario_tri_id:
                    referencedColumnName: id
